PHP Manual
Prev |  | Next

# imagefttext

(PHP 4 >= 4.1.0, PHP 5)

imagefttext -- Write text to the image using fonts using FreeType 2

## Description

array imagefttext ( resource image, float size, float angle, int x, int y, int col, string font_file, string text [, array extrainfo] )

Warning
This function is currently not documented; only the argument list is available.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`size`

`angle`

`x`

`y`

`col`

`font_file`

`text`

`extrainfo`

## Return Values

This function returns an array containing the following elements:

0 | lower left x-coordinate
1 | lower left y-coordinate
2 | upper right x-coordinate
3 | upper right y-coordinate

## Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

> Note: This function is only available if PHP is compiled with freetype support (`--with-freetype-dir=DIR`)

## ChangeLog

Version | Description
--- | ---
4.3.5 | `extrainfo` was made optional.

Prev | Home | Next
imageftbbox | Up | imagegammacorrect